bootJar {
    archiveFileName = 'meeting.jar'
}

bootRun {
    // 환경 변수를 Spring Boot 애플리케이션에 전달
    environment = System.getenv()
}

// 환경변수 확인용 임시 태스크
task printEnv {
    doLast {
        println "=== Gradle Daemon 환경변수 ==="
        println "DB_PASSWORD: " + System.getenv('DB_PASSWORD')
        println "DB_HOST: " + System.getenv('DB_HOST')
        println "DB_USERNAME: " + System.getenv('DB_USERNAME')
    }
}

dependencies {
    // WebSocket
    implementation 'org.springframework.boot:spring-boot-starter-websocket'
    implementation 'org.springframework.boot:spring-boot-starter-reactor-netty'
    
    // Kafka
    implementation 'org.springframework.kafka:spring-kafka'
}
